Subject: Re: [BEHAVE] Some TURN-09 comments

From: Philip Matthews <[email-masked]>
Date: Fri, 5 Sep 2008 16:20:48 -0400

On Fri, 22-Aug-08, at 14:10 , Benny Prijono wrote:

> Hi,
>
> Some minor comments.
>
> - SOFTWARE-TYPE attribute
>   The attribute name is inconsistent with rfc3489bis-18, which calls  
> it with just SOFTWARE. On the other hand, http://www.employees.org/behave/stun-attributes.html 
>  also calls it SOFTWARE-TYPE, so I'm not sure which one should be  
> fixed.

Yup. I have updated my copy of the the base TURN spec to call it just  
"SOFTWARE".

>
>
> - ICMP attribute code number
>   The code number is 0x0030, which is not wrong, but IMO it'll be  
> better to change it to 0x002a since this slot is free. The reason is  
> because implementors (or at least me) like to implement the  
> attribute descriptors as an array, and with 0x0030 there is an  
> wasted gap from 0x002a to 0x002f. Not a big deal, but there's no  
> reason to waste space either, and IMO it's not too late to change it.

This attribute is being removed from the base TURN spec to a new  
document, which will cover the specification of Preserving  
allocations. This new document will start as an individual draft and  
we can have all sorts of discussions on it.

>
>
> - I think the Note in Section 6.2 (page 20/21) about server  
> remembering last error response is not necessary. The rfc3489bis-18  
> already says that server SHOULD retransmit last error response. And  
> in fact the text in that Note that says:
>
>  "Server implementors MAY elect to prevent this second case by
>   remembering recent failure responses and returning the saved
>   failure response when receiving a retransmitted Allocate request."
>
>  contradicts the SHOULD requirement in rfc3489bis-18, thus should be  
> deleted IMO.

Jonathan and I plan to talk about this issue on Monday. We will make  
sure the two specifications are consistent.

>
>
> Cheers
>  Benny
>
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave

_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave